## couchdb-glib 0.7.4-0ubuntu2

=== debian/changelog ===
couchdb-glib (0.7.4-0ubuntu2) oneiric; urgency=low

  * debian/patches/01_use_sync_soup_session.patch:
    - Use SoupSessionSync, as the _async version confuses E-D-S 

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 20 Sep 2011 12:59:10 +0200

couchdb-glib (0.7.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/01-allow-saving-design-documents.patch:
    - Remove upstreamed patch

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 23 Aug 2011 13:43:18 +0200

couchdb-glib (0.7.3-0ubuntu3) oneiric; urgency=low

  * debian/patches/01-allow-saving-design-documents.patch:
    - Allow saving design and other similar documents in
      couchdb_database_put_document (LP: #830269)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 22 Aug 2011 18:03:41 +0200

couchdb-glib (0.7.3-0ubuntu2) oneiric; urgency=low

  * Use gir1.2-json-1.0 instead as name changed (LP: #824666)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 15 Aug 2011 13:33:08 -0400

couchdb-glib (0.7.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/watch:
    - Watch .bz2 tarball
  * debian/patches/01_remove_useless_warnings.patch:
    - Remove upstreamed patch

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 22 Jul 2011 11:43:24 +0200

couchdb-glib (0.7.2-0ubuntu4) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 01:44:05 +0100

couchdb-glib (0.7.2-0ubuntu3) natty; urgency=low

  * debian/patches/01_remove_useless_warnings.patch:
    - Add upstream patch to remove useless warnings

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 20 Apr 2011 10:36:17 +0200

couchdb-glib (0.7.2-0ubuntu2) natty; urgency=low

  * debian/rules:
    - Remove --disable-debug-messages, as the problem we had when adding this
      flag is now solved. Debugging messages will only show up when users
      set COUCHDB_DEBUG_MESSAGES environment variable

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 06 Apr 2011 17:33:39 +0200

couchdb-glib (0.7.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Port to gdbus (Rodrigo Moya)
    - Add some more tests for desktopcouch (Rodrigo Moya)
    - Use g_strcmp0 instead of g_str_equal (Rodrigo Moya) (LP: #727370)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 01 Apr 2011 17:45:03 +0200

couchdb-glib (0.7.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 24 Mar 2011 17:08:47 +0100

couchdb-glib (0.7.0-0ubuntu3) natty; urgency=low

  * Updated for the gir abi transition

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Dec 2010 14:14:08 -0500

couchdb-glib (0.7.0-0ubuntu2) natty; urgency=low

  * debian/rules:
    - Add rules for dh_girepository
  * debian/libcouchdb-glib-dev.install:
  * debian/libdesktopcouch-glib-dev.install:
    - Add .gir files to -dev packages
  * debian/control:
  * debian/gir1.0-couchdb-1.0.install:
  * debian/gir1.0-desktopcouch-1.0.install:
    - Rename introspection packages to match the typelib names

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 24 Nov 2010 17:13:47 +0100

couchdb-glib (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Fix two more small memleaks (Krzysztof Klimonda)
    - Use silent building if available (Rodrigo Moya)
    - Fix make distcheck (Rodrigo Moya)
    - Add CouchdbResponse and CouchdbQuery classes (Krzysztof Klimonda)
    - Add couchdb_encode_uri functions (Krzysztof Klimonda)
    - Include Json-1.0 for introspection (Rodrigo Moya)
  * debian/control:
    - Remove dependency on gir-repository-dev

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 24 Nov 2010 16:48:42 +0100

couchdb-glib (0.6.96-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Replace g_value_get_object and g_object_ref with g_value_dup_object
      (Krzysztof Klimonda)
    - Changed couchdb-glib/Makefile.am to use /gir-1.0 and /girepository-1.0
      instead of INTROSPECTION_TYPELIBDIR (Krzysztof Klimonda)
    - Call couchdb_session_send_message with empty body to force Content-Type
      (Krzysztof Klimonda)
    - Make sure we free SoupMessage before returning (Krzysztof Klimonda)
    - Don't set up the custom log_handler for all debug messages. Instead
      define 'Couchdb-GLib' log domain and handle only messages related to
      library itself (Krzysztof Klimonda)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 31 Aug 2010 16:25:20 +0200

couchdb-glib (0.6.95-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Fixed misnamed function (Rodrigo Moya)
  * debian/rules:
    - add --disable-debug-messages to ./configure flags to prevent
      couchdb-glib from setting its own, custom log_handler for g_debug macro.
      (LP: #591873)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 27 Jul 2010 11:36:09 +0200

couchdb-glib (0.6.94-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Add API to list fields for CouchdbDocument's and CouchdbStructField's
      (Rodrigo Moya)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 20 Jul 2010 12:39:48 +0200

couchdb-glib (0.6.93-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Add missing fields to CouchdbDatabaseInfo (Rodrigo Moya)
    - Add tasks document class (Miguel Ángel Rodelas Delgado)
    - Create json_object in couchdb_document_init, so that subclasses get it
      (Rodrigo Moya)
    - Use correct signatures for CouchdbDatabase class' signals (Rodrigo Moya)
    - Move DesktopcouchDocument* classes to couchdb-glib, so that they can be
      used in other CouchdbSession's (Rodrigo Moya)
    - Use the correct JsonObject when calling create_document_from_json_object
      (Rodrigo Moya)
    - Fixed several compilation warnings (Rodrigo Moya)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 14 Jul 2010 13:34:28 +0200

couchdb-glib (0.6.92-0ubuntu1) maverick; urgency=low

  * New upstream release:

