## couchdb-glib 0.7.4-0ubuntu3

=== debian/changelog ===
couchdb-glib (0.7.4-0ubuntu3) precise; urgency=low

  * Add patch eliminating usage of g_thread_init() that is now deprecated.
    Fixes FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Dec 2011 14:35:06 -0500
