=== debian/control ===
Source: couchdb-glib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Moya <rodrigo.moya@canonical.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), 
 cdbs, 
 libjson-glib-dev (>= 0.7.4), 
 libsoup2.4-dev, 
 libsoup-gnome2.4-dev, 
 uuid-dev, 
 libssl-dev,
 libgnome-keyring-dev,
 libdbus-glib-1-dev,
 gtk-doc-tools,
 gir1.2-glib-2.0,
 gir1.2-json-1.0,
 libgirepository1.0-dev (>= 0.6.3),
 gobject-introspection (>= 0.6.5-3)
Homepage: https://launchpad.net/couchdb-glib
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/couchdb-glib/ubuntu

Package: libcouchdb-glib-1.0-2
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcouchdb-glib-1.0-1
Architecture: any
Description: GLib-based API for CouchDB
 CouchDB-GLib is a GLib-based API to access CouchDB servers
 (http://couchdb.apache.org), a replication/synchronization
 database of JSON documents, used in online services like
 Ubuntu One.

Package: libcouchdb-glib-dev
Section: libdevel
Depends: libcouchdb-glib-1.0-2 (= ${binary:Version}), libglib2.0-dev, libjson-glib-dev (>= 0.7.4),  ${misc:Depends}
Architecture: any
Description: Development files for GLib-based API for CouchDB
 CouchDB-GLib is a GLib-based API to access CouchDB servers
 (http://couchdb.apache.org), a replication/synchronization
 database of JSON documents, used in online services like
 Ubuntu One.
 .
 This package contains the development files.

Package: libcouchdb-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: GLib-based API for CouchDB
 CouchDB-GLib is a GLib-based API to access CouchDB servers
 (http://couchdb.apache.org), a replication/synchronization
 database of JSON documents, used in online services like
 Ubuntu One.
 .
 This package contains the documentation

Package: libdesktopcouch-glib-1.0-2
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Glib-based API for Desktopcouch
 Desktopcouch-GLib is a GLib based API for Desktopcouch,
 a runtime management system that takes care of starting
 a CouchDB instance on-demand for each user and managing
 OAuth keys and replication for that CouchDB instance.

Package: libdesktopcouch-glib-dev
Section: libdevel
Depends: libdesktopcouch-glib-1.0-2 (= ${binary:Version}), libcouchdb-glib-dev, ${misc:Depends}
Architecture: any
Description: Development files for Glib-based API for Desktopcouch
 Desktopcouch-GLib is a GLib based API for Desktopcouch,
 a runtime management system that takes care of starting
 a CouchDB instance on-demand for each user and managing
 OAuth keys and replication for that CouchDB instance.

Package: gir1.2-couchdb-1.0
Section: libs
Architecture: any
Conflicts: gir1.0-couchdb-glib-1.0, gir1.0-couchdb-1.0
Replaces: gir1.0-couchdb-glib-1.0, gir1.0-couchdb-1.0
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GLib-based API for CouchDB
 CouchDB-GLib is a GLib-based API to access CouchDB servers
 (http://couchdb.apache.org), a replication/synchronization
 database of JSON documents, used in online services like
 Ubuntu One.
 .
 This package contains introspection data
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gir1.2-desktopcouch-1.0
Section: libs
Architecture: any
Conflicts: gir1.0-desktopcouch-glib-1.0, gir1.0-desktopcouch-1.0
Replaces: gir1.0-desktopcouch-glib-1.0, gir1.0-desktopcouch-1.0
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Glib-based API for Desktopcouch
 Desktopcouch-GLib is a GLib based API for Desktopcouch,
 a runtime management system that takes care of starting
 a CouchDB instance on-demand for each user and managing
 OAuth keys and replication for that CouchDB instance.
 .
 This package contains introspection data
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
