=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc --enable-introspection=yes

binary-predeb/gir1.0-couchdb-glib-1.0::
	dh_girepository -pgir1.0-couchdb-glib-1.0

binary-predeb/gir1.0-desktopcouch-glib-1.0::
	dh_girepository -pgir1.0-desktopcouch-glib-1.0
