=== debian/watch ===
#watch file for couchdb-glib
version=3
http://download.gnome.org/sources/couchdb-glib/([0-9.]+)/couchdb-glib-([0-9.]+)\.tar\.bz2 debian
